Bug 836501 - dependency on fuse suggested
Summary: dependency on fuse suggested
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 767852
Blocks: 830135
TreeView+ depends on / blocked
 
Reported: 2012-06-29 09:55 UTC by Richard W.M. Jones
Modified: 2013-02-21 08:38 UTC (History)
7 users (show)

Fixed In Version: libguestfs-1.16.31-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 767852
Environment:
Last Closed: 2013-02-21 08:38:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0324 normal SHIPPED_LIVE libguestfs bug fix and enhancement update 2013-02-20 20:54:42 UTC

Description Richard W.M. Jones 2012-06-29 09:55:12 UTC
+++ This bug was initially created as a clone of Bug #767852 +++

guestmount should depend on fuse (to pull in fusermount).

If we backport mount-local functionality into the core library for RHEL 6.4,
then in fact it's libguestfs itself which should depend on fuse.

Comment 3 Mohua Li 2012-11-09 11:39:58 UTC
[root@station2 tmp]# rpm -qR libguestfs-tools-c-1.16.32-3.el6.x86_64
libguestfs = 1:1.16.32-3.el6
/usr/bin/less  
/usr/bin/man  
/bin/vi  
qemu-img  
rpmlib(VersionedDependencies) <= 3.0.3-1
/bin/sh  
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/bin/bash  
libconfig.so.8()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libc.so.6(GLIBC_2.8)(64bit)  
libdl.so.2()(64bit)  
libdl.so.2(GLIBC_2.2.5)(64bit)  
libfuse.so.2()(64bit)  
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
libguestfs.so.0()(64bit)  
libm.so.6()(64bit)  
libm.so.6(GLIBC_2.2.5)(64bit)  
libncurses.so.5()(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
libreadline.so.6()(64bit)  
librt.so.1()(64bit)  
libtinfo.so.5()(64bit)  
libulockmgr.so.1()(64bit)  
libvirt.so.0()(64bit)  
libxml2.so.2()(64bit)  
rpmlib(PayloadIsXz) <= 5.2-1

Comment 5 errata-xmlrpc 2013-02-21 08:38:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0324.html


Note You need to log in before you can comment on or make changes to this bug.